Skip to main content
POST
/
order
/
{orderId}
/
refresh-step
Refresh swap calldata
curl --request POST \
  --url https://api.example.com/order/{orderId}/refresh-step \
  --header 'Content-Type: application/json' \
  --data '
{
  "stepId": "<string>"
}
'
{
  "step": {
    "id": "<string>",
    "action": "<string>",
    "kind": "<string>",
    "chainId": 123,
    "to": "<string>",
    "calldata": "<string>",
    "value": "<string>",
    "tokenAddress": "<string>",
    "spenderAddress": "<string>",
    "amount": "<string>",
    "venue": "<string>"
  }
}

Path Parameters

orderId
string<uuid>
required

The public order ID

Body

application/json

Request to refresh swap step calldata just-in-time

stepId
string
required

The step ID to refresh (typically the dex_swap step)

Response

Refreshed step

Updated execution step with refreshed calldata

step
EvmCallStep · object
required

EVM call step - execute calldata on chain